Bug 1409647 - Review Request: libimagequant - Palette quantization library
Summary: Review Request: libimagequant - Palette quantization library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 18:05 UTC by Sandro Mani
Modified: 2017-04-17 10:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 21:09:59 UTC
Type: ---
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2017-01-02 18:05:11 UTC
Spec URL: https://smani.fedorapeople.org/review/libimagequant.spec
SRPM URL: https://smani.fedorapeople.org/review/libimagequant-2.8.2-1.fc26.src.rpm
Description: Palette quantization library
Fedora Account System Username: smani

There is a pending request on fedora-legal to clarify what should be written in the License field:
https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/JM7YJILE4GIFRD3J636EAT2PBOEND7WP/

Comment 1 Igor Gnatenko 2017-01-02 19:08:43 UTC
* Reuse %{url} in Source tag
* You can reuse %{name} in %install/%files sections to not dupe whole large name ;)
* (!) LDFLAGS are ignored

Regarding legal: it seems that code is "GPLv3+ and MIT".

Comment 2 Sandro Mani 2017-01-02 20:00:39 UTC
Uhm, where do you see LDFLAGS being ignored?

gcc -shared -Wl,-soname,libimagequant.so.0 -o libimagequant.so.0 pam.lo mediancut.lo blur.lo mempool.lo viter.lo nearest.lo libimagequant.lo -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -fopenmp -lm

Comment 3 Igor Gnatenko 2017-01-02 20:51:30 UTC
(In reply to Sandro Mani from comment #2)
> Uhm, where do you see LDFLAGS being ignored?
> 
> gcc -shared -Wl,-soname,libimagequant.so.0 -o libimagequant.so.0 pam.lo
> mediancut.lo blur.lo mempool.lo viter.lo nearest.lo libimagequant.lo
> -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -fopenmp -lm
Oops, my bad.

So only other points are valid. Once licensing thing will be resolved -- I will set fedora-review+.

Comment 4 Sandro Mani 2017-01-02 21:00:09 UTC
Spec URL: https://smani.fedorapeople.org/review/libimagequant.spec
SRPM URL: https://smani.fedorapeople.org/review/libimagequant-2.8.2-2.fc26.src.rpm

%changelog
* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 2.8.2-2
- Use %%name and %%url to reduce text

Comment 5 Sandro Mani 2017-01-03 17:15:37 UTC
Legal has confirmed GPLv3 and MIT.

Comment 6 Gwyn Ciesla 2017-01-03 17:43:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libimagequant

Comment 7 Sergio Basto 2017-04-16 14:51:00 UTC
Hi, libimagequant is part of pngquant , 

dnf repoquery libimagequant
Last metadata expiration check: 0:23:01 ago on Sun Apr 16 15:25:51 2017.
libimagequant-0:2.7.0-1.fc24.i686
libimagequant-0:2.7.0-1.fc24.x86_64
libimagequant-0:2.8.1-1.fc24.i686
libimagequant-0:2.8.1-1.fc24.x86_64

did you know that ? for what do you need libimagequant without pngquant ? 
What is the plan for pngquant ? 

Thanks

Comment 8 Sandro Mani 2017-04-16 20:29:22 UTC
Wonder how I missed that. I suppose it is sufficient if I just retire the package, upgrade path etc should work automatically?

Btw, the consumer foroflibimagequant is python-pillow.

Comment 9 Sergio Basto 2017-04-16 20:58:39 UTC
thanks, I'm working now on build pngquant with yours libimagequant ....

In theory the correct is have 2 packages like we have now , since now we have 2  sources libimagequant and pngquant .

I will give news soon , thanks for the feedback.

Comment 10 Sandro Mani 2017-04-17 08:49:59 UTC
Ah indeed, looks like libimagequant isn't an integral part of pngquant, but simply bundled.

Comment 11 Sergio Basto 2017-04-17 10:25:03 UTC
(In reply to Sandro Mani from comment #10)
> Ah indeed, looks like libimagequant isn't an integral part of pngquant, but
> simply bundled.

just since 2.8.x


Note You need to log in before you can comment on or make changes to this bug.